# Generated by Django 2.2 on 2020-08-17 20:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ContinentModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=13)),
                ('slug', models.SlugField(max_length=13)),
                ('serial', models.PositiveIntegerField()),
                ('area_sqkm', models.PositiveIntegerField()),
                ('area_sqmi', models.PositiveIntegerField()),
                ('demonym', models.CharField(max_length=45)),
                ('number_of_countries', models.PositiveIntegerField()),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Continent',
                'verbose_name_plural': 'Continents',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='CountryModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=13)),
                ('slug', models.SlugField(max_length=13)),
                ('serial', models.PositiveIntegerField()),
                ('area_sqkm', models.PositiveIntegerField()),
                ('area_sqmi', models.PositiveIntegerField()),
                ('capital', models.CharField(max_length=50)),
                ('national_language', models.CharField(max_length=50)),
                ('currency', models.CharField(max_length=50)),
                ('demonym', models.CharField(max_length=45)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('continent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.ContinentModel')),
            ],
            options={
                'verbose_name': 'Country',
                'verbose_name_plural': 'Countries',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='DistrictModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=13)),
                ('slug', models.SlugField(max_length=13)),
                ('serial', models.PositiveIntegerField()),
                ('area_sqkm', models.PositiveIntegerField()),
                ('area_sqmi', models.PositiveIntegerField()),
                ('demonym', models.CharField(max_length=45)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('continent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.ContinentModel')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.CountryModel')),
            ],
            options={
                'verbose_name': 'District',
                'verbose_name_plural': 'Districts',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='LitracyModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('serial', models.PositiveIntegerField()),
                ('litracy_male', models.BigIntegerField()),
                ('litracy_female', models.BigIntegerField()),
                ('litracy', models.BigIntegerField()),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], max_length=8)),
                ('census_title', models.CharField(max_length=60)),
                ('census_taken', models.DateField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': 'Litracy',
                'verbose_name_plural': 'Litracies',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='PopulationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('serial', models.PositiveIntegerField()),
                ('population_male', models.BigIntegerField()),
                ('population_female', models.BigIntegerField()),
                ('population', models.BigIntegerField()),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], max_length=8)),
                ('census_title', models.CharField(max_length=60)),
                ('census_taken', models.DateField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': 'Population',
                'verbose_name_plural': 'Populations',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='ReligionModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=15)),
                ('slug', models.SlugField(max_length=15)),
                ('serial', models.PositiveIntegerField()),
                ('content', models.TextField()),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Religion',
                'verbose_name_plural': 'Religions',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='ReligiousPopulationModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField()),
                ('serial', models.PositiveIntegerField()),
                ('religious_population', models.BigIntegerField()),
                ('religious_percentage', models.FloatField()),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], max_length=8)),
                ('census_title', models.CharField(max_length=60)),
                ('census_taken', models.DateField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('religion', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.ReligionModel')),
            ],
            options={
                'verbose_name': 'Religious Population',
                'verbose_name_plural': 'Religious Populations',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='StateModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=13)),
                ('slug', models.SlugField(max_length=13)),
                ('serial', models.PositiveIntegerField()),
                ('area_sqkm', models.PositiveIntegerField()),
                ('area_sqmi', models.PositiveIntegerField()),
                ('capital', models.CharField(max_length=50)),
                ('demonym', models.CharField(max_length=45)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('continent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.ContinentModel')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.CountryModel')),
                ('litracy', models.ManyToManyField(blank=True, to='djangocensus.LitracyModel')),
                ('population', models.ManyToManyField(blank=True, to='djangocensus.PopulationModel')),
                ('religious', models.ManyToManyField(blank=True, to='djangocensus.ReligiousPopulationModel')),
            ],
            options={
                'verbose_name': 'State',
                'verbose_name_plural': 'States',
                'ordering': ['serial'],
            },
        ),
        migrations.CreateModel(
            name='VillageModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=13)),
                ('slug', models.SlugField(max_length=13)),
                ('serial', models.PositiveIntegerField()),
                ('area_sqkm', models.PositiveIntegerField()),
                ('area_sqmi', models.PositiveIntegerField()),
                ('demonym', models.CharField(max_length=45)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('continent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.ContinentModel')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.CountryModel')),
                ('district', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.DistrictModel')),
                ('litracy', models.ManyToManyField(blank=True, to='djangocensus.LitracyModel')),
                ('population', models.ManyToManyField(blank=True, to='djangocensus.PopulationModel')),
                ('religious', models.ManyToManyField(blank=True, to='djangocensus.ReligiousPopulationModel')),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.StateModel')),
            ],
            options={
                'verbose_name': 'Village',
                'verbose_name_plural': 'Villages',
                'ordering': ['serial'],
            },
        ),
        migrations.AddField(
            model_name='districtmodel',
            name='litracy',
            field=models.ManyToManyField(blank=True, to='djangocensus.LitracyModel'),
        ),
        migrations.AddField(
            model_name='districtmodel',
            name='population',
            field=models.ManyToManyField(blank=True, to='djangocensus.PopulationModel'),
        ),
        migrations.AddField(
            model_name='districtmodel',
            name='religious',
            field=models.ManyToManyField(blank=True, to='djangocensus.ReligiousPopulationModel'),
        ),
        migrations.AddField(
            model_name='districtmodel',
            name='state',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.StateModel'),
        ),
        migrations.AddField(
            model_name='countrymodel',
            name='litracy',
            field=models.ManyToManyField(blank=True, to='djangocensus.LitracyModel'),
        ),
        migrations.AddField(
            model_name='countrymodel',
            name='population',
            field=models.ManyToManyField(blank=True, to='djangocensus.PopulationModel'),
        ),
        migrations.AddField(
            model_name='countrymodel',
            name='religious',
            field=models.ManyToManyField(blank=True, to='djangocensus.ReligiousPopulationModel'),
        ),
        migrations.AddField(
            model_name='continentmodel',
            name='litracy',
            field=models.ManyToManyField(blank=True, to='djangocensus.LitracyModel'),
        ),
        migrations.AddField(
            model_name='continentmodel',
            name='population',
            field=models.ManyToManyField(blank=True, to='djangocensus.PopulationModel'),
        ),
        migrations.AddField(
            model_name='continentmodel',
            name='religious',
            field=models.ManyToManyField(blank=True, to='djangocensus.ReligiousPopulationModel'),
        ),
        migrations.CreateModel(
            name='CityModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=13)),
                ('slug', models.SlugField(max_length=13)),
                ('serial', models.PositiveIntegerField()),
                ('area_sqkm', models.PositiveIntegerField()),
                ('area_sqmi', models.PositiveIntegerField()),
                ('demonym', models.CharField(max_length=45)),
                ('status', models.CharField(choices=[('ACTIVE', 'active'), ('DEACTIVE', 'deactive')], default='active', max_length=8)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('continent', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.ContinentModel')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.CountryModel')),
                ('district', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.DistrictModel')),
                ('litracy', models.ManyToManyField(blank=True, to='djangocensus.LitracyModel')),
                ('population', models.ManyToManyField(blank=True, to='djangocensus.PopulationModel')),
                ('religious', models.ManyToManyField(blank=True, to='djangocensus.ReligiousPopulationModel')),
                ('state', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='djangocensus.StateModel')),
            ],
            options={
                'verbose_name': 'City',
                'verbose_name_plural': 'Cities',
                'ordering': ['serial'],
            },
        ),
    ]
